Skip to navigation

Get details of a service instance

Returns all properties for a service model instance.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

modelstringRequired

A service model's XPATH. The XPATH is obtained from API ServiceManagement.getServiceModelMap(). When using this API over HTTP, this will be a part of the path itself. Therefore (since service models always include '/' character), the path will first need to be URL encoded. A good site for URL encoding text is URL Encoder.

valuestringRequired

A service model instance's keys learned from ServiceManager.getInstancesOfService(). Keys are expressed as a space delimited list of key values.

Response

An object with a single field with the service model's XPATH as its key. The field's value is an array of objects. Each element of the array is an object representing the properties of a service model instance.
servicePathlist of objectsOptional
The servicePath key is a service model's XPATH. The value is an array of objects. Each array element represents an instance of a service model.

Errors

500
Internal Server Error